Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.cybernode
Interface CybernodeAdmin

All Superinterfaces:
  ComputeResourceAdmin, DestroyAdmin, JoinAdmin, Remote, ServiceAdmin, ServiceBeanAdmin, ServiceBeanControl

    public interface CybernodeAdmin

extends ServiceAdmin, ComputeResourceAdmin

CybernodeAdmin defines methods used to administer a Cybernode

Method Summary
`boolean` | `getPersistentProvisioning()` Get whether the Cybernode supports persistent provisioning of qualitative capabilities
`Integer` | `getServiceCount()` Get the number of services that this Cybernode has instantiated
`Integer` | `getServiceLimit()` Get the upper limit of services that this Cybernode can instantiate
`void` | `setPersistentProvisioning(boolean support)` Set whether the Cybernode supports persistent provisioning of qualitative capabilities
`void` | `setServiceLimit(Integer count)` Set the upper limit of services that this Cybernode can instantiate

Methods inherited from interface org.jini.rio.resources.servicecore.ServiceAdmin
`getJoinSet`

Methods inherited from interface org.jini.rio.core.jsb.ServiceBeanAdmin
`getServiceBeanInstantiatorUuid, getServiceElement, getUpTime, setServiceElement`

Methods inherited from interface org.jini.rio.core.ServiceBeanControl
`advertise, start, stop, unadvertise`

Methods inherited from interface net.jini.admin.JoinAdmin
`addLookupAttributes, addLookupGroups, addLookupLocators, getLookupAttributes, getLookupGroups, getLookupLocators, modifyLookupAttributes, removeLookupGroups, removeLookupLocators, setLookupGroups, setLookupLocators`

Methods inherited from interface com.sun.jini.admin.DestroyAdmin
`destroy`

Methods inherited from interface org.jini.rio.qos.ComputeResourceAdmin
`getComputeResourceUtilization, getMeasuredResources, getPlatformCapabilties, getSLAs, getUtilization, setSLA`

Method Detail

### getServiceLimit

    Integer getServiceLimit()
                            throws RemoteException

  Get the upper limit of services that this Cybernode can instantiate

  Returns:
    The upper limit of services
  Throws:
    `RemoteException` - If communication errors happen

### setServiceLimit

    void setServiceLimit(Integer count)
                         throws RemoteException

  Set the upper limit of services that this Cybernode can instantiate

  Parameters:
    `count` - Integer indicating the upper limit of services
  Throws:
    `RemoteException` - If communication errors happen

### getServiceCount

    Integer getServiceCount()
                            throws RemoteException

  Get the number of services that this Cybernode has instantiated

  Returns:
    The number of services the Cybernode has instantiated
  Throws:
    `RemoteException` - If communication errors happen

### getPersistentProvisioning

    boolean getPersistentProvisioning()
                                      throws RemoteException

  Get whether the Cybernode supports persistent provisioning of qualitative capabilities

  Returns:
    True if the Cybernode supports persistent provisioning of qualitative capabilities otherwise return false
  Throws:
    `RemoteException` - If communication errors happen

### setPersistentProvisioning

    void setPersistentProvisioning(boolean support)
                                   throws IOException

  Set whether the Cybernode supports persistent provisioning of qualitative capabilities

  Parameters:
    `support` - Set to true if the Cybernode supports persistent provisioning of qualitative capabilities otherwise, set false
  Throws:
    `RemoteException` - If communication errors happen
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.